Package org.openoffice.da.comp.w2lcommon.filter

# Class EPSCleaner

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.EPSCleaner

public class EPSCleaner extends Object
This class removes redundant binary information from EPS files created by OOo. See the issue http://qa.openoffice.org/issues/show_bug.cgi?id=25256 According to this message http://markmail.org/message/dc6rprmtktxuq35v on dev@openoffice.org the binary data is an EPSI preview in TIFF format TODO: Is it possible to avoid this export?

## Constructor Summary

Constructors
Constructor
Description
`EPSCleaner()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`cleanEps(byte[] blob)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EPSCleaner

public EPSCleaner()

## Method Details

### cleanEps

public byte[] cleanEps(byte[] blob)